--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Or unifies the left and right hand sides with bool, then returns a bool-typed sexp.
full_name: TypeChecker#process_or
is_singleton: false
name: process_or
params: (exp)
visibility: public
